/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2014 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.annotation.view;

import org.fortiss.tooling.base.model.element.IAnnotatedSpecification;
import org.fortiss.tooling.base.model.element.IModelElement;

/**
 * Interface for views displaying {@link IAnnotatedSpecification}s.
 * 
 * @author barner
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: BC1A864366CB8A939A450C9F7E3DE68A
 */
public interface IAnnotationViewPart {

	/** View ID for annotation views. */
	// Keep in sync with plugin.xml
	public static String ANNOTATION_VIEW_ID = "org.fortiss.tooling.base.ui.annotationView";

	/** Returns the currently selected object. */
	public IModelElement getCurrentlySelectedObject();

}
