/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui.validators;

import java.util.regex.PatternSyntaxException;

import org.conqat.lib.commons.filesystem.AntPatternUtils;
import org.eclipse.jface.dialogs.IInputValidator;

/**
 * A validator checking that entered strings are valid ANT patterns.
 * 
 * @author $Author: hummelb $
 * @version $Rev: 32168 $
 * @ConQAT.Rating GREEN Hash: D6E0B9E40EC788A6A6CB44A868695F88
 */
public class AntPatternValidator implements IInputValidator {

	/** {@inheritDoc} */
	@Override
	public String isValid(String newText) {
		try {
			AntPatternUtils.convertPattern(newText, true);
		} catch (PatternSyntaxException e) {
			return "Must enter valid ANT pattern: " + e.getMessage();
		}
		return null;
	}
}